Subject: Re: bug#810: Moved to /usr but all configs expect it in /sbin

From: Klaus Ethgen <[email-masked]>
Date: Tue, 28 Nov 2023 19:52:49 +0100

Hi Mark,

Am Di den 28. Nov 2023 um 16:22 schrieb Mark Hindley:
> As Lorenzo has pointed out, this is a result of Debian's implementation of
> merged-usr.
> 
> Although this has been coming for a while, the impasse with the dpkg maintainer
> meant that Devuan was able to avoid enforcing merged-usr for the Daedalus
> release. However, Debian has now circumvented the dpkg maintainer and there is
> little more Devuan can do to resist.
[...]
> Believe me that I think this Debian exercise is a waste of time, driven by
> systemd dogma. However, for Devaun to attempt to fork every Debian package would
> just waste even more time. I do not believe this to be worthwhile.

Yes, that is a disaster... My hope was, that at least Devuan is able to
mitigate it and keeping up the good quality that Debian was before
systemd.

However, I also see that there seems to be only few persons behind to do
the work.

> I imagine you will suggest forking wpasupplicant, however that one package is
> not the fundamental issue here. Most, maybe all Debian packages are going to
> have their binaries moved in the next few months and for Devuan to resist by
> forking would be unsustainable.

It might be needed to fork the distribution completely. Well, at least
with the main packages. There could still be some compatibility left for
contrib and non-free. I mean, debian was small too in the past. Why not
start from scratch? (You even don't need to start without anything)
Maybe it is time for a cut.

I try to fix packages myself as I did for openssh[0], pcre2[1] and since
today pcsc-lite[2]. And I have now a massive ansible role to fix all the
debian bugs as well as nagios check for broken libraries that should be
in /lib.

> I believe you have two options (I fear you will find neither palatable, for
> which I apologise):-
> 
>  - Install Daedalus and do not upgrade beyond that.
> 
>  - Install the usrmerge package.

The last one will never be an option for me! Before that I would destroy
all my computers first or migrate to windows! (What, if you know me, I
would never do.)

The first would be a solution only up to when the support for that
distribution ends.

Regards
   Klaus

[0] ftp://ftp.ethgen.ch/pub/debian-security/pool/unofficial-secured/o/openssh/
[1] ftp://ftp.ethgen.ch/pub/debian/pool/unofficial/p/pcre2/
[2] ftp://ftp.ethgen.ch/pub/debian/pool/unofficial/p/pcsc-lite/
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C